path: /build/build/qdbus-dev-qt-5-5.15.2+6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - emerge -j qtcore
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-qt/qdbus:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-qt/qdbus:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qdbus && luet-portage --dir /pkgdir/qdbus
    dev-qt/qdbus:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5b161bd38ba0be533e1260b4460f5e3e6ba6bf86c6b1e887ac0a1da2a1fa7025
  package:
    name: qdbus
    version: 5.15.2+6
    category: dev-qt-5
    use_flags:
    - -test
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Interface to Qt applications communicating over D-Bus
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-04-26 15:46:28.457713354 +0000 UTC m=+517.936916816
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdbus-5.15.2* =dev-qt/qtxml-5.15.2*
        test? ( =dev-qt/qttest-5.15.2* )
      IUSE: debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdbus-5.15.2* =dev-qt/qtxml-5.15.2*
      emerge.packages: dev-qt/qdbus:5
      kit: qt-kit
      original.package.name: dev-qt/qdbus
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240314
    treedir: /build/packages
  package_dir: /pkgdir/qdbus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0281a5955aa8b2deb412f8c4118f0a740a5cc7a94bb8117b98596f97ba10863b
compressiontype: zstd
files:
- usr/lib64/qt5/bin/qdbus
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/BDEPEND
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/BUILD_TIME
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CATEGORY
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CBUILD
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CFLAGS
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CHOST
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CONTENTS
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/COUNTER
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/CXXFLAGS
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/DEFINED_PHASES
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/DEPEND
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/DESCRIPTION
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/EAPI
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/FEATURES
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/HOMEPAGE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/INHERITED
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/IUSE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/KEYWORDS
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/LDFLAGS
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/LICENSE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/NEEDED
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/PF
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/RDEPEND
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/REQUIRES
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/RESTRICT
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/SIZE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/SLOT
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/USE
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/environment.bz2
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/qdbus-5.15.2_p20240314.ebuild
- var/db/pkg/dev-qt/qdbus-5.15.2_p20240314/repository
package_cacheimage: ""
runtime:
  name: qdbus
  version: 5.15.2+6
  category: dev-qt-5
  use_flags:
  - -test
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtdbus
    version: '>=0'
    category: dev-qt-5
  - name: qtxml
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Interface to Qt applications communicating over D-Bus
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdbus-5.15.2* =dev-qt/qtxml-5.15.2* test?
      ( =dev-qt/qttest-5.15.2* )
    IUSE: debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtdbus-5.15.2* =dev-qt/qtxml-5.15.2*
    emerge.packages: dev-qt/qdbus:5
    kit: qt-kit
    original.package.name: dev-qt/qdbus
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240314
